#!/bin/bash
#
# debug mode
if grep -Fqs "debug" /proc/cmdline ; then
    export EL_DEBUG=3
    if grep -Fqs "completedebug" /proc/cmdline ; then
        set -x
    fi
fi


# e16
if [[ -n "$EROOT" ]] ; then
    # nothing to do
    exit
fi

if [ -n "$E_START" ] && [ -z "$E_HOME_DIR" ] ; then
    E_HOME_DIR="$HOME/.e/e17"
fi

if [[ -z "$E_HOME_DIR" ]] ; then
    exit
fi

for icon in \
    eliveinstaller.desktop \
    demo-1.desktop \
    demo-2.desktop \
    demo-3.desktop \
    demo-4.desktop \
    ; do

    if [[ -s "/usr/share/applications/$icon" ]] || [[ -s "/usr/share/xdgeldsk/applications/$icon" ]] || [[ -s "$HOME/.local/share/applications/$icon" ]] ; then
        # append it to the bar
        if [[ -d "$E_HOME_DIR/applications/bar/default" ]] ; then
            if ! grep -qs "^${icon}$" "$E_HOME_DIR/applications/bar/default/.order" ; then
                echo "${icon}" >> "$E_HOME_DIR/applications/bar/default/.order"
            fi
        fi
    fi

done

# replace firefox for opera if the computer is a slow one
if grep -qsi "intel.*atom" /proc/cpuinfo ; then
    if [[ -e "/usr/share/applications/opera.desktop" ]] ; then
        if grep -Fqs "firefox" "$E_HOME_DIR/applications/bar/default/.order" ; then
            sed -i "s|^firefox.*$|opera.desktop|g" "$E_HOME_DIR/applications/bar/default/.order"
        else
            if grep -Fqs "google-chrome" "$E_HOME_DIR/applications/bar/default/.order" ; then
                sed -i "s|^google-chrome.*$|opera.desktop|g" "$E_HOME_DIR/applications/bar/default/.order"
            fi
        fi
    fi
fi


# there's a bug with efreetd which seems to be needed to restart in buster
case "$( cat /etc/debian_version )" in
    10.*|"buster/"*)
        killall -9 efreetd
        ;;
esac


# if we are debugging give it a little pause to see what is going on
#if grep -Fqs "debug" /proc/cmdline ; then
    #echo -e "debug: sleep 2" 1>&2
#fi

