#!/bin/bash
SOURCE="$0"
source /usr/lib/elive-tools/functions
EL_REPORTS="1"


main(){
    # pre {{{
    local download_dir

    # debug mode
    if grep -Fqs "debug" /proc/cmdline ; then
        export EL_DEBUG=3
        if grep -Fqs "completedebug" /proc/cmdline ; then
            set -x
        fi
    fi

    # }}}

    # note: requires LANGUAGE configured too
    if ! el_dependencies_check "xdg-user-dirs-update|xdg-user-dirs-gtk-update" ; then
        exit 1
    fi

    download_dir="$( grep -F XDG_DOWNLOAD_DIR "/home/eliveuser/.config/user-dirs.dirs" | sed -e 's|^.*HOME/||g' -e 's|"$||g' | head -1 )"

    sudo -H sed -i "s|^.*DownloadDirectory\":.*$|\"DownloadDirectory\": \"/home/\${user_name}/$download_dir|g" /etc/chromium/policies/recommended/chrome.json


    # if we are debugging give it a little pause to see what is going on
    #if grep -Fqs "debug" /proc/cmdline ; then
        #echo -e "debug: sleep 2" 1>&2
        #sleep 2
    #fi
}

#
#  MAIN
#
main "$@"

# vim: set foldmethod=marker :
