#!/bin/bash
SOURCE="$0"
source /usr/lib/elive-tools/functions
EL_REPORTS="1"
el_make_environment


main(){
    local tempfile memory cpubogomips

    # debug mode
    if grep -Fqs "debug" /proc/cmdline ; then
        export EL_DEBUG=3
        if grep -Fqs "completedebug" /proc/cmdline ; then
            set -x
        fi
    fi

    if grep -Fqs "thanatests" /proc/cmdline ; then
        exit
    fi

    # disable this feature in low memory computers
    memory="$( cat /proc/meminfo | grep -F MemTotal | tail -1 | awk '{print $2}' )"
    cpubogomips="$( grep -F bogomips /proc/cpuinfo | sed -e 's|^.*: ||g' -e 's|\..*$||g' | tr ' ' '\n' | grep "[[:digit:]]" | head -1 )"

    if [[ "${memory}" -lt "400000" ]] || [[ "$cpubogomips" -lt 3100 ]] ; then
        return 0
    fi


    # run switcher of wallpapers
    if [[ -x /usr/bin/enlightenment-wallpapers-switcher ]] &&  ! ps aux | grep -Fv grep | grep -Fv "hooks.d" | grep -Fqs enlightenment-wallpapers-switcher &&  ! grep -qs "persistence" /proc/cmdline ; then
        # e16
        if [[ -n "$EROOT" ]] ; then
            killall enlightenment-wallpapers-switcher 2>/dev/null || true
            bash -c "enlightenment-wallpapers-switcher --wait-start=60 & disown"
        else
            if [[ -n "$E_START" ]] ; then
                enlightenment_remote -exec-cmd "enlightenment-wallpapers-switcher --wait-start=60"
            else
                el_error "unable to run enlightenment-wallpapers-switcher because we are in an unknown desktop"
            fi
        fi
    fi


    # if we are debugging give it a little pause to see what is going on
    #if grep -Fqs "debug" /proc/cmdline ; then
        #echo -e "debug: sleep 2" 1>&2
        #sleep 2
    #fi

    exit 0
}

#
#  MAIN
#
main "$@"

# vim: set foldmethod=marker :
