#!/bin/bash
SOURCE="$0"
source /usr/lib/elive-tools/functions
EL_REPORTS="1"
el_make_environment

# if we are in e16, our updated (reconfigured) language must be updated, that's not needed in e17 since the ENV var is set
if [[ -n "$E_ROOT" ]] ; then
    source /etc/default/locale 2>/dev/null || true
fi

#. gettext.sh
#if [[ -x "/usr/bin/gettext.sh" ]] ; then
    #. gettext.sh
#else
    ## make it compatible
    #eval_gettext(){
        #echo "$@"
    #}
#fi



main(){
    local reports

    # debug mode
    if grep -Fqs "debug" /proc/cmdline ; then
        export EL_DEBUG=3
        if grep -Fqs "completedebug" /proc/cmdline ; then
            set -x
        fi
    fi

    # elive_version="$( cat /etc/elive-version | grep "^elive-version:" | awk '{print $2}' )"
    # case "$elive_version" in
    #     *.7.*)  is_alpha=1 ; ;;
    #     *.8.*)  is_beta=1 ; ;;
    #     *.9.*)  is_rc=1 ; ;;
    #     *.0.*)  is_stable=1 ; ;;
    # esac

    # if we have an nvidia card, reports temporally the driver and how it was configured to know which is the best conf to use
    if sudo nvidia-privative-drivers-install -d 1>/dev/null 2>&1 ; then

        # check if the driver was correctly installed
        if sudo nvidia-privative-drivers-install -t 1>/dev/null 2>&1 ; then
            reports="correctly installed and working, $reports"
        else
            reports="NOT correctly installed, $reports"
        fi
        # check if we needed to use an xorg.conf
        if ! [[ -s "/etc/X11/xorg.conf.d/20-nvidia.conf" ]] ; then
            reports="xorg.conf template included, $reports"
        else
            reports="WITHOUT xorg.conf template, $reports"
        fi

        # results
        if [[ -n "$reports" ]] ; then
            el_report_to_elive "Nvidia results: $reports"
        fi
    fi


}

#
#  MAIN
#
main "$@"

# vim: set foldmethod=marker :
