#!/bin/bash
SOURCE="$0"
source /usr/lib/elive-tools/functions
EL_REPORTS="1"

main(){
    # pre {{{
    local var

    # debug mode
    if grep -Fqs "debug" /proc/cmdline ; then
        export EL_DEBUG=3
        if grep -Fqs "completedebug" /proc/cmdline ; then
            set -x
        fi
    fi

    # }}}

    # in every desktop, we want screen brightness to be at max:
    if [[ -x "$( which brightnessctl )" ]] ; then
        # set brightness always to maximum in live mode
        sudo brightnessctl s "$( sudo brightnessctl m )" 1>/dev/null
    fi

    # set a comfortable resolution for my tests
    if grep -Fqs "thanatests" /proc/cmdline ; then
        source /etc/elive/machine-profile 1>/dev/null 2>&1 || true
        if [[ "$MACHINE_VIRTUAL" = "yes" ]] || ((is_thanatests)) ; then
            el_debug "setting resolution to 1440x900 because of thanatests & virtual"
            xrandr --size 1440x900
        fi
    fi

    # always disable ssh server in live mode
    if [[ "$MACHINE_VIRTUAL" = "yes" ]] || { ((is_thanatests)) && [[ -d "/etc/ssh" ]] ; } ; then
        true
    else
        ( sudo -H systemctl stop ssh.service 1>/dev/null 2>&1 || true  & )
    fi
}

#
#  MAIN
#
main "$@"

# vim: set foldmethod=marker :
