#!/bin/bash
SOURCE="$0"
source /usr/lib/elive-tools/functions
EL_REPORTS="1"
#el_make_environment



main(){
    # pre {{{
    local var

    # debug mode
    if grep -Fqs "debug" /proc/cmdline ; then
        export EL_DEBUG=3
        if grep -Fqs "completedebug" /proc/cmdline ; then
            set -x
        fi
    fi

    # }}}

    # if we have something to tell to the user (generated by us) about problems running the graphical system, tell this to him
    if [[ -s "/tmp/.X11-error-logs-to-user" ]] ; then
        zenity --warning --text="$( cat "/tmp/.X11-error-logs-to-user" )"
    fi

    # checks of integrity (report to elive)
    if ! [[ -s "/usr/bin/tee" ]] || ! [[ -s "/usr/bin/who" ]] ; then
        EL_REPORTS=1 el_error "Elive system seems damaged (tee and who binary checks): $( du -hs /usr/bin/who /usr/bin/tee )"
    fi


    # if we are debugging give it a little pause to see what is going on
    #if grep -Fqs "debug" /proc/cmdline ; then
        #echo -e "debug: sleep 2" 1>&2
        #sleep 2
    #fi
}

#
#  MAIN
#
main "$@"

# vim: set foldmethod=marker :
